aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--.gitmodules3
-rw-r--r--coin/platform_configs/default.txt21
-rw-r--r--coin/platform_configs/qt5.txt15
-rw-r--r--coin/platform_configs/qtbase.txt4
-rw-r--r--coin/platform_configs/qtdeclarative.txt4
-rw-r--r--coin/platform_configs/qtwebkit.txt2
-rwxr-xr-xcoin/provisioning/common/linux/apt_wait_loop.sh44
-rwxr-xr-xcoin/provisioning/common/linux/qnx_660.sh4
-rwxr-xr-xcoin/provisioning/common/linux/qnx_700.sh4
-rwxr-xr-xcoin/provisioning/common/macos/install_xcode.sh4
-rw-r--r--coin/provisioning/common/windows/open62541.ps18
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/01-systemsetup.sh70
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh152
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-disable-ntp.sh4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/03-qemu.sh (renamed from coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/03-qemu.sh)4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/04-libclang.sh4
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/04-yocto.sh (renamed from coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/04-yocto.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/10-openssl_for_android_linux.sh (renamed from coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/10-openssl_for_android_linux.sh)0
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/30-fbx.sh6
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/40-android_linux.sh39
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/40-cmake.sh5
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/90-squish.sh4
-rwxr-xr-xcoin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh2
-rw-r--r--coin/provisioning/qtci-windows-10-x86_64/05-qnx_700.ps14
-rw-r--r--coin/provisioning/qtci-windows-7-x86/09-install-mingw530.ps110
-rw-r--r--coin/provisioning/qtci-windows-7-x86/09-install-mingw730.ps110
-rw-r--r--coin/provisioning/qtci-windows-7-x86/79-open62541.ps12
-rw-r--r--qt.pro4
28 files changed, 386 insertions, 47 deletions
diff --git a/.gitmodules b/.gitmodules
index 3449e50c..bd5a2734 100644
--- a/.gitmodules
+++ b/.gitmodules
@@ -11,7 +11,7 @@
status = addon
[submodule "qtdeclarative"]
depends = qtbase
- recommends = qtsvg qtxmlpatterns
+ recommends = qtsvg
path = qtdeclarative
url = ../qtdeclarative.git
branch = dev
@@ -45,6 +45,7 @@
status = essential
[submodule "qtxmlpatterns"]
depends = qtbase
+ recommends = qtdeclarative
path = qtxmlpatterns
url = ../qtxmlpatterns.git
branch = dev
diff --git a/coin/platform_configs/default.txt b/coin/platform_configs/default.txt
index b4f0bc14..b0e9e210 100644
--- a/coin/platform_configs/default.txt
+++ b/coin/platform_configs/default.txt
@@ -1,27 +1,28 @@
Template Target OS Target arch Compiler Features
----------------------------------- ------------------- ----------- ----------- -------------------------------------------------------------------------------------
qtci-windows-10-x86_64-10 MSVC2015 DeveloperBuild Release QtNamespace QtLibInfix BuildExamples
-qtci-windows-7-x86-3 Mingw53 DeveloperBuild Release OpenGLDynamic
+qtci-windows-7-x86-3 Mingw73 DeveloperBuild Release OpenGLDynamic
qtci-windows-10-x86_64-10 x86 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic
qtci-windows-10-x86_64-10 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic
qtci-windows-10-x86_64-10 WinRT_10 x86 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo DisableTests
qtci-windows-10-x86_64-10 WinRT_10 armv7 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo DisableTests
qtci-windows-10-x86_64-10 MSVC2017 Packaging DebugAndRelease Release ForceDebugInfo OpenGLDynamic
-qtci-linux-Ubuntu-16.04-x86_64-2 GCC NoWidgets ForceDebugInfo
-qtci-linux-Ubuntu-16.04-x86_64-2 GCC DeveloperBuild OutOfSourceBuild QtLibInfix QtNamespace BuildExamples Documentation
+qtci-linux-Ubuntu-16.04-x86_64-2 GCC DeveloperBuild OutOfSourceBuild QtLibInfix QtNamespace BuildExamples
+qtci-linux-Ubuntu-18.04-x86_64 GCC NoWidgets ForceDebugInfo
+qtci-linux-Ubuntu-18.04-x86_64 GCC DeveloperBuild OutOfSourceBuild QtLibInfix QtNamespace BuildExamples Documentation
qtci-linux-openSUSE-42.3-x86_64 GCC DeveloperBuild NoPch
qtci-linux-openSUSE-42.3-x86_64 ICC_18 DeveloperBuild NoPch DisableTests SystemSQLite
qtci-linux-RHEL-7.4-x86_64 GCC Packaging Release NoUseGoldLinker ForceDebugInfo SeparateDebugInfo
qtci-macos-10.12-x86_64-8 Clang Packaging DebugAndRelease Release
-qtci-macos-10.13-x86_64 Clang DebugAndRelease Release DisableTests
+qtci-macos-10.13-x86_64 Clang DebugAndRelease Release
qtci-macos-10.12-x86_64-8 Clang DeveloperBuild Release QtNamespace NoPch
qtci-macos-10.12-x86_64-8 Clang Release NoFramework DisableTests
-qtci-macos-10.12-x86_64-8 IOS_ANY multi Clang Release DisableTests Static
-qtci-macos-10.12-x86_64-8 TvOS_ANY multi Clang Release DisableTests
-qtci-macos-10.12-x86_64-8 WatchOS_ANY multi Clang Release DisableTests
+qtci-macos-10.13-x86_64 IOS_ANY multi Clang Packaging DebugAndRelease DisableTests Static
+qtci-macos-10.13-x86_64 TvOS_ANY multi Clang DebugAndRelease DisableTests
+qtci-macos-10.13-x86_64 WatchOS_ANY multi Clang DebugAndRelease DisableTests
qtci-linux-RHEL-7.4-x86_64 Android_ANY armv7 Clang Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
-qtci-linux-Ubuntu-16.04-x86_64-2 QEMU armv7 GCC Release
-qtci-linux-Ubuntu-16.04-x86_64-2 QEMU arm64 GCC Release
-qtci-linux-Ubuntu-16.04-x86_64-2 GCC TestOnly LicenseCheck
+qtci-linux-Ubuntu-18.04-x86_64 QEMU armv7 GCC Release
+qtci-linux-Ubuntu-18.04-x86_64 QEMU arm64 GCC Release
+qtci-linux-Ubuntu-18.04-x86_64 GCC TestOnly LicenseCheck
qtci-linux-RHEL-7.4-x86_64 INTEGRITY_11_04 armv7 GCC Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-linux-RHEL-7.4-x86_64 QNX_700 armv7 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
diff --git a/coin/platform_configs/qt5.txt b/coin/platform_configs/qt5.txt
index 5e0e6657..f9979818 100644
--- a/coin/platform_configs/qt5.txt
+++ b/coin/platform_configs/qt5.txt
@@ -3,21 +3,18 @@ Template Target OS Target arch Compiler Features
qtci-windows-10-x86_64-10 WinRT_10 MSVC2015 Packaging DebugAndRelease Release ForceDebugInfo DisableTests
qtci-windows-10-x86_64-10 x86 MSVC2017 DebugAndRelease Release ForceDebugInfo OpenGLDynamic
qtci-windows-10-x86_64-10 WinRT_10 x86 MSVC2017 Packaging DebugAndRelease Release ForceDebugInfo DisableTests
-qtci-windows-7-x86-3 Mingw53 Packaging DebugAndRelease Release OpenGLDynamic DisableTests
+qtci-windows-7-x86-3 Mingw73 Packaging DebugAndRelease Release OpenGLDynamic DisableTests
qtci-windows-10-x86_64-10 Mingw73 Packaging DebugAndRelease Release OpenGLDynamic DisableTests
qtci-windows-10-x86_64-10 WinRT_10 armv7 MSVC2017 Packaging DebugAndRelease Release ForceDebugInfo DisableTests
qtci-windows-10-x86_64-10 WinRT_10 MSVC2017 Packaging DebugAndRelease Release ForceDebugInfo DisableTests
qtci-linux-RHEL-7.4-x86_64 Android_ANY x86 Clang Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
-qtci-windows-7-x86-3 Android_ANY armv7 Mingw53 Packaging Release DisableTests OpenGLES2
-qtci-windows-7-x86-3 Android_ANY x86 Mingw53 Packaging Release DisableTests OpenGLES2
+qtci-windows-7-x86-3 Android_ANY armv7 Mingw73 Packaging Release DisableTests OpenGLES2
+qtci-windows-7-x86-3 Android_ANY x86 Mingw73 Packaging Release DisableTests OpenGLES2
qtci-macos-10.12-x86_64-8 Android_ANY armv7 Clang Packaging Release DisableTests OpenGLES2
qtci-macos-10.12-x86_64-8 Android_ANY x86 Clang Packaging Release DisableTests OpenGLES2
qtci-macos-10.12-x86_64-8 QNX_700 x86 GCC Release DisableTests OpenGLES2 NoUseGoldLinker
-qtci-macos-10.12-x86_64-8 IOS_ANY multi Clang Packaging DebugAndRelease DisableTests Static
-qtci-macos-10.12-x86_64-8 TvOS_ANY multi Clang DebugAndRelease DisableTests
-qtci-macos-10.12-x86_64-8 WatchOS_ANY multi Clang DebugAndRelease DisableTests
-qtci-windows-10-x86_64-10 QNX_700 armv7 Mingw53 Packaging Release DisableTests OpenGLES2
-qtci-windows-10-x86_64-10 QNX_700 armv8 Mingw53 Packaging Release DisableTests OpenGLES2
-qtci-windows-10-x86_64-10 QNX_700 x86_64 Mingw53 Packaging Release DisableTests OpenGLES2
+qtci-windows-10-x86_64-10 QNX_700 armv7 Mingw73 Packaging Release DisableTests OpenGLES2
+qtci-windows-10-x86_64-10 QNX_700 armv8 Mingw73 Packaging Release DisableTests OpenGLES2
+qtci-windows-10-x86_64-10 QNX_700 x86_64 Mingw73 Packaging Release DisableTests OpenGLES2
qtci-linux-RHEL-7.4-x86_64 QNX_700 armv8 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
qtci-linux-RHEL-7.4-x86_64 QNX_700 x86_64 GCC Packaging Release DisableTests OpenGLES2 NoUseGoldLinker
diff --git a/coin/platform_configs/qtbase.txt b/coin/platform_configs/qtbase.txt
index 0c619ed1..4a2c720c 100644
--- a/coin/platform_configs/qtbase.txt
+++ b/coin/platform_configs/qtbase.txt
@@ -1,5 +1,5 @@
Template Target OS Target arch Compiler Features
--------------------------------- ------------------- ----------- ----------- -------------------------------------------------------------------------------------
-qtci-linux-Ubuntu-16.04-x86_64-2 QEMU armv7 GCC DeveloperBuild DisableTests
-qtci-linux-Ubuntu-16.04-x86_64-2 QEMU arm64 GCC DeveloperBuild DisableTests
+qtci-linux-Ubuntu-18.04-x86_64 QEMU armv7 GCC DeveloperBuild DisableTests
+qtci-linux-Ubuntu-18.04-x86_64 QEMU arm64 GCC DeveloperBuild DisableTests
qtci-windows-10-x86_64-10 WinRT_10 x86_64 MSVC2015 DeveloperBuild Static Release ForceDebugInfo
diff --git a/coin/platform_configs/qtdeclarative.txt b/coin/platform_configs/qtdeclarative.txt
index 9d321d40..e2b69559 100644
--- a/coin/platform_configs/qtdeclarative.txt
+++ b/coin/platform_configs/qtdeclarative.txt
@@ -1,4 +1,4 @@
Template Target OS Target arch Compiler Features
--------------------------------- ------------------- ----------- ----------- -------------------------------------------------------------------------------------
-qtci-linux-Ubuntu-16.04-x86_64-2 QEMU armv7 GCC DeveloperBuild
-qtci-linux-Ubuntu-16.04-x86_64-2 QEMU arm64 GCC DeveloperBuild
+qtci-linux-Ubuntu-18.04-x86_64 QEMU armv7 GCC DeveloperBuild
+qtci-linux-Ubuntu-18.04-x86_64 QEMU arm64 GCC DeveloperBuild
diff --git a/coin/platform_configs/qtwebkit.txt b/coin/platform_configs/qtwebkit.txt
index efae9754..a357ad5b 100644
--- a/coin/platform_configs/qtwebkit.txt
+++ b/coin/platform_configs/qtwebkit.txt
@@ -1,4 +1,4 @@
Template Target OS Target arch Compiler Features
--------------------------- ------------------- ----------- ----------- -------------------------------------------------------------------------------------
qtci-windows-10-x86_64-10 x86 MSVC2017 DebugAndRelease Release ForceDebugInfo OpenGLDynamic DisableTests
-qtci-windows-7-x86-3 Mingw53 Packaging DebugAndRelease Release OpenGLDynamic DisableTests
+qtci-windows-7-x86-3 Mingw73 Packaging DebugAndRelease Release OpenGLDynamic DisableTests
diff --git a/coin/provisioning/common/linux/apt_wait_loop.sh b/coin/provisioning/common/linux/apt_wait_loop.sh
new file mode 100755
index 00000000..b34e1ebc
--- /dev/null
+++ b/coin/provisioning/common/linux/apt_wait_loop.sh
@@ -0,0 +1,44 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2018 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+function waitLoop {
+
+while sudo fuser /var/lib/dpkg/lock >/dev/null 2>&1 ; do
+ echo "Waiting for other software managers to finish..."
+ sleep 0.5
+done
+}
diff --git a/coin/provisioning/common/linux/qnx_660.sh b/coin/provisioning/common/linux/qnx_660.sh
index 7f6ab063..2add6901 100755
--- a/coin/provisioning/common/linux/qnx_660.sh
+++ b/coin/provisioning/common/linux/qnx_660.sh
@@ -40,8 +40,8 @@ set -ex
source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
targetFolder="/opt/"
-sourceFile="http://ci-files01-hki.intra.qt.io/input/qnx/linux/qnx660.tar.gz"
-sha1="E292CCAEF447AC1AA4DAD7802D604A5531ACD8D0"
+sourceFile="http://ci-files01-hki.intra.qt.io/input/qnx/linux/qnx660-patch4687-linux.tar.gz"
+sha1="ffcf91489699c42ce9c1d74941f1829531752bbe"
folderName="qnx660"
targetFile="qnx660.tar.gz"
wget --tries=5 --waitretry=5 --progress=dot:giga --output-document="$targetFile" "$sourceFile"
diff --git a/coin/provisioning/common/linux/qnx_700.sh b/coin/provisioning/common/linux/qnx_700.sh
index 49fb7243..3c821fec 100755
--- a/coin/provisioning/common/linux/qnx_700.sh
+++ b/coin/provisioning/common/linux/qnx_700.sh
@@ -41,8 +41,8 @@ set -ex
source "${BASH_SOURCE%/*}/../unix/SetEnvVar.sh"
targetFolder="/opt/"
-sourceFile="http://ci-files01-hki.intra.qt.io/input/qnx/qnx700.tar.xz"
-sha1="949a87c5f00d0756956cb4b1b3b213ecaeee9113"
+sourceFile="http://ci-files01-hki.intra.qt.io/input/qnx/qnx700-20180801-linux.tar.xz"
+sha1="5d2c8f531823b1f7a2e20968dc698c187c7de94c"
folderName="qnx700"
targetFile="qnx700.tar.xz"
wget --tries=5 --waitretry=5 --progress=dot:giga --output-document="$targetFile" "$sourceFile"
diff --git a/coin/provisioning/common/macos/install_xcode.sh b/coin/provisioning/common/macos/install_xcode.sh
index 44f0a648..5fcf26a0 100755
--- a/coin/provisioning/common/macos/install_xcode.sh
+++ b/coin/provisioning/common/macos/install_xcode.sh
@@ -58,6 +58,10 @@ function InstallXCode() {
echo "Accept license"
sudo xcodebuild -license accept
+ echo "Install packages"
+ # -runFirstLaunch is valid in 9.x
+ sudo xcodebuild -runFirstLaunch || true
+
echo "Enabling developer mode, so that using lldb does not require interactive password entry"
sudo /usr/sbin/DevToolsSecurity -enable
diff --git a/coin/provisioning/common/windows/open62541.ps1 b/coin/provisioning/common/windows/open62541.ps1
index 7e87cac4..beb09487 100644
--- a/coin/provisioning/common/windows/open62541.ps1
+++ b/coin/provisioning/common/windows/open62541.ps1
@@ -111,7 +111,7 @@ function MSVCEnvironment
function BuildAndInstallOpen62541
{
Param (
- [string]$Type=$(throw("You must specify the dev type [mingw530, mingw630, msvc2015, msvc2017]")),
+ [string]$Type=$(throw("You must specify the dev type [mingw530, mingw630, mingw730, msvc2015, msvc2017]")),
[string]$Platform=$(throw("You must specify the target platform [x86, x64]")),
[string]$MakeCommand=$(throw("You must specify a make command [mingw32-make, nmake]"))
)
@@ -165,7 +165,7 @@ function BuildAndInstallOpen62541
function DownloadAndInstall
{
Param (
- [string]$Type=$(throw("You must specify the dev type [mingw530, mingw630, msvc2015, msvc2017]")),
+ [string]$Type=$(throw("You must specify the dev type [mingw530, mingw630, mingw730, msvc2015, msvc2017]")),
[string]$Platform=$(throw("You must specify the target platform [x86, x64]"))
)
$baseLocation = "http://ci-files01-hki.intra.qt.io/input/open62541/"
@@ -233,6 +233,8 @@ if ($targetCommand.StartsWith("mingw")) {
PowerShell -ExecutionPolicy Bypass -File "$PSScriptRoot\open62541.ps1" -targetCommand mingw530
Write-Host "### Invoking MinGW630 build"
PowerShell -ExecutionPolicy Bypass -File "$PSScriptRoot\open62541.ps1" -targetCommand mingw630
+ Write-Host "### Invoking MinGW730 build"
+ PowerShell -ExecutionPolicy Bypass -File "$PSScriptRoot\open62541.ps1" -targetCommand mingw730
Write-Host "### Invoking MSVC2015 build"
PowerShell -ExecutionPolicy Bypass -File "$PSScriptRoot\open62541.ps1" -targetCommand msvc2015_x86
PowerShell -ExecutionPolicy Bypass -File "$PSScriptRoot\open62541.ps1" -targetCommand msvc2015_x64
@@ -246,6 +248,8 @@ if ($targetCommand.StartsWith("mingw")) {
DownloadAndInstall mingw530 x86
Write-Host "### MinGW630 x64"
DownloadAndInstall mingw630 x86
+ Write-Host "### MinGW730 x64"
+ DownloadAndInstall mingw730 x64
Write-Host "### MSVC2015 x86"
DownloadAndInstall msvc2015 x86
Write-Host "### MSVC2015 x64"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/01-systemsetup.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/01-systemsetup.sh
new file mode 100755
index 00000000..96bf23f8
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/01-systemsetup.sh
@@ -0,0 +1,70 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# This script modifies system settings for automated use
+
+set -ex
+
+# shellcheck source=../common/unix/check_and_set_proxy.sh
+source "${BASH_SOURCE%/*}/../common/unix/check_and_set_proxy.sh"
+
+NTS_IP=10.212.2.216
+
+echo "Set timezone to UTC."
+sudo timedatectl set-timezone Etc/UTC
+echo "Timeout for blanking the screen (0 = never)"
+gsettings set org.gnome.desktop.session idle-delay 0
+echo "Prevents screen lock when screesaver goes active."
+gsettings set org.gnome.desktop.screensaver lock-enabled false
+echo "Set grub timeout to 0"
+sudo sed -i 's|GRUB_TIMEOUT=10|GRUB_TIMEOUT=0|g' /etc/default/grub
+sudo update-grub
+
+# https://bugs.launchpad.net/ubuntu/+source/systemd/+bug/1624320
+echo "Setting up workaround for Ubuntu systemd resolve bug"
+sudo rm -f /etc/resolv.conf
+sudo ln -s /run/systemd/resolve/resolv.conf /etc/resolv.conf
+
+echo "Set Network Test Server address to $NTS_IP in /etc/hosts"
+echo "$NTS_IP qt-test-server qt-test-server.qt-test-net" | sudo tee -a /etc/hosts
+
+echo 'LC_ALL=en_US.UTF8' | sudo tee /etc/default/locale
+
+if [ "$http_proxy" != "" ]; then
+ echo "Acquire::http::Proxy \"$proxy\";" | sudo tee -a /etc/apt/apt.conf
+fi
+
+# This script diverts qtlogging.ini file so we don't get debugging related auto-test failures.
+sudo dpkg-divert --divert /etc/xdg/QtProject/qtlogging.ini.foo --rename /etc/xdg/QtProject/qtlogging.ini
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh
new file mode 100755
index 00000000..ff2f1dac
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-apt.sh
@@ -0,0 +1,152 @@
+#!/usr/bin/env bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+# Install required packages with APT
+
+# shellcheck source=../common/linux/apt_wait_loop.sh
+source "${BASH_SOURCE%/*}/../common/linux/apt_wait_loop.sh"
+
+echo "Disabling auto update"
+sudo sed -i 's/APT::Periodic::Update-Package-Lists "1";/APT::Periodic::Update-Package-Lists "0";/' /etc/apt/apt.conf.d/10periodic
+for service in apt-daily.timer apt-daily-upgrade.timer apt-daily.service apt-daily-upgrade.service; do
+ sudo systemctl stop $service
+ sudo systemctl disable $service
+done
+# Git is not needed by builds themselves, but is nice to have
+# immediately as one starts debugging
+installPackages+=(git)
+# 7zip is a needed decompressing tool
+installPackages+=(p7zip-full)
+# To be able to mount yocto-cache during builds
+installPackages+=(nfs-common)
+# libssl-dev provides headers for OpenSSL
+installPackages+=(libssl-dev)
+# Needed libraries for X11 support accordingly to https://wiki.qt.io/Building_Qt_5_from_Git
+installPackages+=("^libxcb.*")
+installPackages+=(libxkbcommon-dev)
+installPackages+=(libxkbcommon-x11-dev)
+installPackages+=(libx11-xcb-dev)
+installPackages+=(libglu1-mesa-dev)
+installPackages+=(libxrender-dev)
+installPackages+=(libxi-dev)
+# Enable linking to system dbus
+installPackages+=(libdbus-1-dev)
+# Needed libraries for WebEngine
+installPackages+=(libudev-dev)
+installPackages+=(libegl1-mesa-dev)
+installPackages+=(libfontconfig1-dev)
+installPackages+=(libxss-dev)
+# Common event loop handling
+installPackages+=(libglib2.0-dev)
+# MySQL support
+installPackages+=(libmysqlclient-dev)
+# PostgreSQL support
+installPackages+=(libpq-dev)
+# SQLite support
+installPackages+=(libsqlite3-dev)
+# ODBC support
+installPackages+=(unixodbc-dev)
+# Support for FreeType font engine
+installPackages+=(libfreetype6-dev)
+# Enable the usage of system jpeg libraries
+installPackages+=(libjpeg-dev)
+# Enable support for printer driver
+installPackages+=(libcups2-dev)
+# Install libraries needed for QtMultimedia to be able to support all plugins
+installPackages+=(libasound2-dev)
+installPackages+=(libgstreamer1.0-dev)
+installPackages+=(libgstreamer-plugins-base1.0-dev)
+installPackages+=(libgstreamer-plugins-good1.0-dev)
+installPackages+=(libgstreamer-plugins-bad1.0-dev)
+# Support for cross-building to x86 (needed by WebEngine boot2qt builds)
+installPackages+=(g++-multilib)
+# python3 development package
+installPackages+=(python3-dev)
+installPackages+=(python3-pip)
+installPackages+=(python3-virtualenv)
+# python2 development package
+installPackages+=(python-dev)
+# Automates interactive applications (Needed by RTA to automate configure testing)
+installPackages+=(expect)
+installPackages+=(mesa-common-dev)
+installPackages+=(libgl1-mesa-glx)
+installPackages+=(libgl1-mesa-dev)
+installPackages+=(libegl1-mesa-dev)
+installPackages+=(curl)
+installPackages+=(libicu-dev)
+installPackages+=(zlib1g-dev)
+installPackages+=(zlib1g)
+installPackages+=(openjdk-8-jdk)
+installPackages+=(libgtk-3-dev)
+installPackages+=(ninja-build)
+installPackages+=(libssl-dev)
+installPackages+=(libxcursor-dev)
+installPackages+=(libxcomposite-dev)
+installPackages+=(libxdamage-dev)
+installPackages+=(libxrandr-dev)
+installPackages+=(libfontconfig1-dev)
+installPackages+=(libxss-dev)
+installPackages+=(libsrtp0-dev)
+installPackages+=(libwebp-dev)
+installPackages+=(libjsoncpp-dev)
+installPackages+=(libopus-dev)
+installPackages+=(libminizip-dev)
+installPackages+=(libavutil-dev)
+installPackages+=(libavformat-dev)
+installPackages+=(libavcodec-dev)
+installPackages+=(libevent-dev)
+installPackages+=(bison)
+installPackages+=(flex)
+installPackages+=(gperf)
+installPackages+=(libasound2-dev)
+installPackages+=(libpulse-dev)
+installPackages+=(libxtst-dev)
+installPackages+=(libnspr4-dev)
+installPackages+=(libnss3-dev)
+installPackages+=(libnss3)
+installPackages+=(libopenal-dev)
+installPackages+=(libbluetooth-dev)
+#VirtualBox for RTA
+installPackages+=(virtualbox)
+installPackages+=(dkms)
+# Needed for qtspeech
+installPackages+=(libspeechd-dev)
+
+echo "Installing packages"
+waitLoop
+sudo DEBIAN_FRONTEND=noninteractive apt-get -q -y install "${installPackages[@]}"
+echo "Running update for apt"
+waitLoop
+sudo apt-get update
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-disable-ntp.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-disable-ntp.sh
new file mode 100755
index 00000000..89806892
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/02-disable-ntp.sh
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+
+# shellcheck source=../common/linux/disable-ntp_linux.sh
+source "${BASH_SOURCE%/*}/../common/linux/disable-ntp_linux.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/03-qemu.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/03-qemu.sh
index edabeb0c..e3faa20e 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/03-qemu.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/03-qemu.sh
@@ -45,6 +45,8 @@ cd "$tempDir"
#latest commit from the master proven to work
git checkout c7f1cf01b8245762ca5864e835d84f6677ae8b1f
+git cherry-pick 75e5b70e6b5dcc4f2219992d7cffa462aa406af0
+git cherry-pick 04b33e21866412689f18b7ad6daf0a54d8f959a7
git submodule update --init pixman
patch -p1 <<EOT
@@ -118,7 +120,7 @@ index 11a311f9db..94d8abc745 100644
2.17.1
EOT
-./configure --target-list=arm-linux-user,aarch64-linux-user --static
+./configure --target-list=arm-linux-user,aarch64-linux-user --static --disable-werror
make
sudo make install
rm -rf "$tempDir"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/04-libclang.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/04-libclang.sh
new file mode 100755
index 00000000..0d18dbcf
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/04-libclang.sh
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/unix/libclang.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/04-yocto.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/04-yocto.sh
index fbe669d9..fbe669d9 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/04-yocto.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/04-yocto.sh
diff --git a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/10-openssl_for_android_linux.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/10-openssl_for_android_linux.sh
index 0f89e72c..0f89e72c 100755
--- a/coin/provisioning/qtci-linux-Ubuntu-16.04-x86_64/10-openssl_for_android_linux.sh
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/10-openssl_for_android_linux.sh
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/30-fbx.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/30-fbx.sh
new file mode 100755
index 00000000..d8df4375
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/30-fbx.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -ex
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/fbx_linux.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/40-android_linux.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/40-android_linux.sh
new file mode 100755
index 00000000..0527fe85
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/40-android_linux.sh
@@ -0,0 +1,39 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+set -ex
+
+# shellcheck source=../common/linux/android_linux.sh
+source "${BASH_SOURCE%/*}/../common/linux/android_linux.sh"
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/40-cmake.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/40-cmake.sh
new file mode 100755
index 00000000..db8a3ff5
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/40-cmake.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/linux/cmake_linux.sh"
+
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/90-squish.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/90-squish.sh
new file mode 100755
index 00000000..e4281588
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/90-squish.sh
@@ -0,0 +1,4 @@
+#!/usr/bin/env bash
+BASEDIR=$(dirname "$0")
+"$BASEDIR/../common/unix/squishInstall.sh"
+
diff --git a/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh b/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
index a645fe56..38fb6103 100755
--- a/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/40-qnx700.sh
@@ -36,7 +36,7 @@
# This script installs QNX 7.
targetFolder="/opt/"
-sourceFile="/net/ci-files01-hki.intra.qt.io/hdd/www/input/qnx/qnx700_mac.zip"
+sourceFile="/net/ci-files01-hki.intra.qt.io/hdd/www/input/qnx/qnx700-20180801-macos.zip"
folderName="qnx700"
sudo mkdir -p "$targetFolder"
diff --git a/coin/provisioning/qtci-windows-10-x86_64/05-qnx_700.ps1 b/coin/provisioning/qtci-windows-10-x86_64/05-qnx_700.ps1
index 821c513e..74c8dc6b 100644
--- a/coin/provisioning/qtci-windows-10-x86_64/05-qnx_700.ps1
+++ b/coin/provisioning/qtci-windows-10-x86_64/05-qnx_700.ps1
@@ -36,10 +36,10 @@
# This script installs QNX SDP 7.0
$zip = Get-DownloadLocation "qnx700.7z"
-$url = "http://ci-files01-hki.intra.qt.io/input/qnx/qnx700.7z"
+$url = "http://ci-files01-hki.intra.qt.io/input/windows/qnx700-20180801-windows.7z"
Download $url $url $zip
-Verify-Checksum $zip "DD3346A3429C06B59BF4D45CE0782F737D2424C7"
+Verify-Checksum $zip "E281897C957B5FAB249BABB2DEB77EEBB9BA75E6"
Extract-7Zip $zip C:\
Set-EnvironmentVariable "QNX_700" "C:\QNX700"
diff --git a/coin/provisioning/qtci-windows-7-x86/09-install-mingw530.ps1 b/coin/provisioning/qtci-windows-7-x86/09-install-mingw530.ps1
deleted file mode 100644
index 684816f0..00000000
--- a/coin/provisioning/qtci-windows-7-x86/09-install-mingw530.ps1
+++ /dev/null
@@ -1,10 +0,0 @@
-. "$PSScriptRoot\..\common\windows\install-mingw.ps1"
-
-# This script will install MinGW 5.3.0
-
-$release = "i686-5.3.0-release-posix-dwarf-rt_v4-rev0"
-$sha1 = "D4F21D25F3454F8EFDADA50E5AD799A0A9E07C6A"
-
-InstallMinGW $release $sha1
-
-
diff --git a/coin/provisioning/qtci-windows-7-x86/09-install-mingw730.ps1 b/coin/provisioning/qtci-windows-7-x86/09-install-mingw730.ps1
new file mode 100644
index 00000000..c893926e
--- /dev/null
+++ b/coin/provisioning/qtci-windows-7-x86/09-install-mingw730.ps1
@@ -0,0 +1,10 @@
+. "$PSScriptRoot\..\common\windows\install-mingw.ps1"
+
+# This script will install MinGW 7.3.0
+
+$release = "i686-7.3.0-release-posix-dwarf-rt_v5-rev0"
+$sha1 = "96e11c754b379c093e1cb3133f71db5b9f3e0532"
+
+InstallMinGW $release $sha1
+
+
diff --git a/coin/provisioning/qtci-windows-7-x86/79-open62541.ps1 b/coin/provisioning/qtci-windows-7-x86/79-open62541.ps1
index a7bc8cd4..85bfb98c 100644
--- a/coin/provisioning/qtci-windows-7-x86/79-open62541.ps1
+++ b/coin/provisioning/qtci-windows-7-x86/79-open62541.ps1
@@ -1,2 +1,2 @@
. "$PSScriptRoot\..\common\windows\open62541.ps1" -targetCommand prepare
-. "$PSScriptRoot\..\common\windows\open62541.ps1" -targetCommand mingw530
+. "$PSScriptRoot\..\common\windows\open62541.ps1" -targetCommand mingw730
diff --git a/qt.pro b/qt.pro
index af16c6df..9ce0a694 100644
--- a/qt.pro
+++ b/qt.pro
@@ -1,5 +1,7 @@
# Create the super cache so modules will add themselves to it.
-cache(, super)
+# Also suppress the license check on subsequent "visits". The first
+# visit will skip it anyway due to not having a compiler set up yet.
+cache(CONFIG, add super, $$list(QTDIR_build))
TEMPLATE = subdirs